Installation Openzwave 1.6 pour environement dev ( WSL et Ubuntu )

Petit tuto pour les devs sous ubuntu ou WSL, j’ai refait mon env de dev sous wsl et j’en ai ch*** avec openzwave

Pour rappel c’est une dépendance système pour l’intégration zwave.

  1. On télécharge Openzwave 1.6
wget http://old.openzwave.com/downloads/openzwave-1.6.1914.tar.gz
  1. On extrait
tar zxvf openzwave-1.6.1914.tar.gz
  1. On se place dans le dossier extrait
cd openzwave-1.6.1914
  1. On patch ( les dernières versions ne build plus sur Ubuntu debian etc… )
wget https://gist.githubusercontent.com/VonOx/9229c8815edc2ece33fdff7bcc15bc25/raw/225b66516829853d3c368f51234f4c09bb5b1361/ozw1914.patch && patch -p1 < ozw1914.patch
  1. On build et on installe
make && sudo make install
  1. On modifie l’environnement
sudo sed -i '$a LD_LIBRARY_PATH=/usr/local/lib64' /etc/environment
sudo ldconfig

Après ça l’installation des packages npm passera ( et du coup eslint aussi )

1 Like

J’ai déplacé ce sujet dans “tutoriels”, est-ce que ce tuto ne mériterait pas d’être dans la doc WSL du site ?

J’espère aussi qu’on va vite faire disparaitre cette dépendance complètement obsolète ! ^^

Bah je me suis posé la question, mais le patch c’est sensé être temporaire :confused:
Mais ça bouge pas sur le repo ( C’est une issue de 2021 qui m’a mis sur la piste )

Ah je vois… bon t’embête pas alors, j’espère vraiment qu’un jour on va retirer cette dépendance ^^

Pas Faux GIFs | Tenor